/*!
 * Colorful Bottle
 *
 * By Lysianthus of Affelius
 * http://affeli.us
 *
 * License: CC-BY-NC-ND
 */

.lavishly-yours-regular {
  font-family: "Lavishly Yours", cursive;
  font-weight: 400;
  font-style: normal;
}

/* @extend */

#grid:after, #footer:after, html, body, #main-menu, #main-menu ul, #main-menu ul > li > a, #grid, .footer-block.generic a {
    margin: 0;
    padding: 0;
}

#grid:after, #footer:after {
    content: '';
    display: table;
    clear: both;
}


/* reset */

*, *:before, *:after {
    box-sizing: border-box;
}

body {
    background-color: #011627;
}


/* wrappers */

#header, #content, #footer {
    margin: 0 auto;
    width: 980px;
}

@media only screen and (max-width: 979px) {
    #header, #content, #footer {
        width: 100%;
    }
}


/* header */

#header {
    padding: 0;
}

.site-title {
    margin: 0 auto;
    padding: 10px;
    width: 780px;
    background-color: #000000;
    font-family: "Lavishly Yours", serif;
    font-weight: bold;
    font-style: normal;
    font-size: 3rem;
    text-align: center;
    text-transform: lowercase;
    letter-spacing: 0px;
    color: #FFF;
}

@media only screen and (max-width: 979px) {
    .site-title {
        width: 80%;
    }
}

#header-image {
    margin: 0 auto;
    padding: 0;
    display: block;
    max-width: 100%;
    -webkit-clip-path: polygon(100px 0%, 880px 0%, 100% 100%, 0% 100%);
    clip-path: polygon(100px 0%, 880px 0%, 100% 100%, 0% 100%);
}

@media only screen and (max-width: 979px) {
    #header-image {
        -webkit-clip-path: polygon(10% 0%, 90% 0%, 100% 100%, 0% 100%);
        clip-path: polygon(10% 0%, 90% 0%, 100% 100%, 0% 100%);
    }
}

#main-menu {
    position: relative;
    z-index: 100;
    background: #3533cd;
    font-size: 0;
  
/* hack */

    text-align: center;
}

#main-menu ul {
    list-style: none;
}

#main-menu ul > li {
    margin: 0;
    padding: 20px;
    display: inline-block;
    font-family: "Karla", serif;
    font-weight: normal;
    font-style: normal;
    font-size: 1rem;
}

#main-menu ul > li > a {
    display: inline-block;
    text-decoration: none;
    color: #fdfffc;
}

#main-menu ul > li > a:after {
    content: '';
    margin: 5px auto 0;
    padding: 0;
    display: block;
    width: 0;
    height: 3px;
    background-color: #3533cd;
    -webkit-transition: all 0.3s ease-in;
    transition: all 0.3s ease-in;
}

#main-menu ul > li > a:hover:after, #main-menu ul > li > a:focus:after {
    width: 100%;
}

#main-menu ul > li:hover > a:after, #main-menu ul > li:focus > a:after {
    width: 100%;
}

#main-menu ul > li:hover > ul, #main-menu ul > li:focus > ul {
    display: block;
}

#main-menu ul > li > ul {
    position: absolute;
    z-index: 2;
    margin: 20px 0 0 -20px;
    padding: 0 0 20px;
    display: none;
    background-color: #3533cd;
}

#main-menu ul > li > ul > li {
    margin: 0;
    padding: 20px 20px 0;
    display: block;
    text-align: left;
}

#main-menu.fixed {
    position: fixed;
    z-index: 100;
    top: 0;
    margin: 0 auto;
    width: 980px;
}

@media only screen and (max-width: 979px) {
    #main-menu.fixed {
        display: none;
    }
}

/* content */

#content {
    padding: 0;
}

.heading {
    margin: 20px 0;
    padding: 10px 0;
    border-color: #ffe16a;
    border-width: 3px 0;
    border-style: dashed;
    background-color: transparent;
    font-family: "Lavishly Yours", sans-serif;
    font-weight: bold;
    font-style: normal;
    text-transform: lowercase;
    font-size: 2rem;
    letter-spacing: 0.2rem;
    color:#ffe16a;
}


/* grid */

@media only screen and (max-width: 979px) {
    #grid {
        width: 100%;
        text-align: center;
    }
}

.block {
    margin: 20px 0;
    padding: 0;
    width: 300px;
    background-color: #fdfffc;
    float: left;
    text-align: left;
}

.block:nth-of-type(3n+2) {
    margin: 20px 40px 0;
}

.block:hover .block-title, .block:focus .block-title {
    -webkit-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    transform: rotate(0deg);
}

.block:nth-of-type(3n+1) .block-title {
    background-color: #3533cd;
        color: #ffe16a;
}

.block:nth-of-type(3n+2) .block-title {
    background-color: #3533cd;
        color: #ffe16a;
}

.block:nth-of-type(3n+3) .block-title {
    background-color: #3533cd;
        color: #ffe16a;
}

@media only screen and (max-width: 979px) {
    .block {
        margin: 20px;
        float: none;
        display: inline-block;
    }
}

.block-title {
    position: absolute;
    z-index: 2;
    margin: 0;
    padding: 10px;
    background-color: #FFF;
    -webkit-transform: rotate(-20deg);
    -ms-transform: rotate(-20deg);
    transform: rotate(-20deg);
    -webkit-transition: all 0.5s cubic-bezier(0, 1.57, 0, 1.66);
    transition: all 0.5s cubic-bezier(0, 1.57, 0, 1.66);
    font-family: "Lavishly Yours", sans-serif;
    font-weight: normal;
    font-style: normal;
    font-size: 1.5rem;
    text-transform: lowercase;
    color: #FFF;
}

.block-title a {
    text-decoration: none;
    color: inherit;
}

.block-description {
    margin: 0;
    padding: 20px;
    font-family: "Karla", serif;
    font-weight: normal;
    font-style: normal;
    font-size: 1rem;
}


/* post */

.post {
    margin: 0;
    padding: 0;
}

.article {
    margin: 20px 0;
    padding: 20px;
    background-color: #fdfffc;
}

.avatar {
    margin: 0 20px 20px 20px;
    padding: 0;
    border-right: #fdfffc 10px solid;
    border-left: #fdfffc 10px solid;
    float: right;
}

.subject {
    margin: 0 0 20px;
    padding: 20px;
    background-color: #3533cd;
    font-family: "Lavishly Yours", sans-serif;
    font-weight: bold;
    font-style: normal;
    font-size: 2rem;
    text-decoration: none;
    text-transform: lowercase;
    color: #ffe16a;
}

.subject a {
    text-decoration: inherit;
    color: inherit;
}

.entry {
    margin: 0;
    padding: 0;
    font-family: "Karla", serif;
    font-weight: normal;
    font-style: normal;
    font-size: 1rem;
    text-align: justify;
    line-height: 1.5;
}

.entry a {
    color: inherit;
    text-decoration: underline dashed;
}

.meta {
    margin: 20px 0 0;
    padding: 20px;
    background-color: #011627;
    font-family: "Montserrat", sans-serif;
    font-weight: normal;
    font-style: normal;
    font-size: 1rem;
    color: #ffe16a;
}

.meta a {
    border-bottom: #FFF 2px solid;
    text-decoration: none;
    color: #FFF;
}


/* footer */

#footer {
    padding: 0;
    border-top: #ffe16a 10px dashed;
    border-bottom: #ffe16a 59px solid;
}

.footer-block {
    margin: 0;
    padding: 20px;
    width: 25%;
    float: left;
    font-family: "Karla", serif;
    font-weight: normal;
    font-style: normal;
    font-size: 1rem;
    color: #FFF;
}

.footer-block.menu a {
    margin: 0;
    padding: 10px 0;
    display: block;
    border-bottom: #ffe16a 2px solid;
    text-decoration: none;
    color: #ffe16a;
    -webkit-transition: all 0.3s ease;
    transition: all 0.3s ease;
}

.footer-block.menu a:hover, .footer-block.menu a:focus {
    border-color: #e71d36;
    color: #2ec4b6;
}

.footer-block.large {
    width: 50%;
}

.footer-block.generic a {
    display: inline-block;
    text-decoration: none;
    color: #ffe16a;
}

.footer-block.generic a:after {
    content: '';
    margin: 2px auto 0;
    padding: 0;
    display: block;
    width: 0;
    height: 2px;
    background-color: #ffe16a;
    -webkit-transition: all 0.3s ease-in;
    transition: all 0.3s ease-in;
}

.footer-block.generic a:hover:after, .footer-block.generic a:focus:after {
    width: 100%;
}

@media only screen and (max-width: 719px) {
    .footer-block {
        width: 100%;
        float: none;
    }

    .footer-block.large {
        width: 100%;
    }
}

.footer-heading {
    margin: 0 0 10px;
    padding: 0;
    font-family: "Montserrat", sans-serif;
    font-weight: bold;
    font-style: normal;
    font-size: 1rem;
    text-transform: uppercase;
    color: #FFF;
    letter-spacing: 2px;
}

#designed-by {
    margin: 1em 0;
    padding: 10px;
    border: #ffe16a 2px solid;
    text-align: center;
    -webkit-transition: all 0.3s ease-in;
    transition: all 0.3s ease-in;
}

#designed-by:hover, #designed-by:focus {
    border-color: #ffe16a;
}
